class Vector
{
public:
	Vector(){};
	~Vector(){};
	Vector(double,double,double);
	Vector(const Vector  & v) { x = v.x; y = v.y; z = v.z; }

	Vector operator *(double d);
	Vector operator +(Vector &rhs);
	friend Vector operator *(const double d, const Vector& v);

	double x,y,z;
};

Vector::Vector(double _x,double _y,double _z)
{
	x=_x;
	y=_y;
	z=_z;
}

Vector Vector::operator *(double d)
{
	return Vector(x*d,y*d,z*d);
}

Vector operator *(const double d, const Vector& v)
{
  return Vector(d*v.x, d*v.y, d*v.z);
}
Vector Vector::operator +(Vector &rhs)
{
	return Vector(x+rhs.x,y+rhs.y,z+rhs.z);
}
