#include<iostream>
#include <math.h>

using namespace std;

////////////////////////////////////////////////////////////////////////////
// 1. Cuvic Bezier Curve  ̿Ͽ   ϴ α׷ ۼ //
////////////////////////////////////////////////////////////////////////////

class point_3d
{
public:
	double x;
	double y;
	double z;

	point_3d() { }

	point_3d(double temp_x,double temp_y,double temp_z)
	{
		x = temp_x;
		y = temp_y;
		z = temp_z;
	}

	void put_point(double temp_x,double temp_y,double temp_z)
	{
	x = temp_x;
	y = temp_y;
	z = temp_z;
	}	
};


point_3d calculate_bazier(point_3d* b, double t)
{
	point_3d temp;

	temp.x = pow((1-t),3)*b[0].x + 3*pow((1-t),2)*t*b[1].x + 3*(1-t)*pow(t,2)*b[2].x + pow(t,3)*b[3].x;
	temp.y = pow((1-t),3)*b[0].y + 3*pow((1-t),2)*t*b[1].y + 3*(1-t)*pow(t,2)*b[2].y + pow(t,3)*b[3].y;
	temp.z = pow((1-t),3)*b[0].z + 3*pow((1-t),2)*t*b[1].z + 3*(1-t)*pow(t,2)*b[2].z + pow(t,3)*b[3].z;
	
	return temp;
}


void main()
{

	////////////////// b0,b1,b2,b3 Է¹ޱ	
	point_3d b[4];

	b[0].put_point(0,0,0);
	b[1].put_point(2,4,0);
	b[2].put_point(5,-3,0);
	b[3].put_point(6,1,0);
	///////////////////


	/////////////////// t Է¹ޱ
	double t = 0.4;
	///////////////////


	/////////////////// Cubic Bezier Curve Function
	point_3d r= calculate_bazier(b,t);
	///////////////////

	
	/////////////////// 
	for (int i=0; i<4; i++)
	{
	cout<<"b"<<i<<" = ( "<<b[i].x<<" , "<<b[i].y<<" , "<<b[i].z<<" )"<<endl;
	}

	cout<<endl;
	cout<<"t = "<<t<<endl<<endl;

	cout<<"r("<<t<<") = ( "<<r.x<<" , "<<r.y<<" , "<<r.z<<" )"<<endl<<endl;
	

	///////////////////
	
}
