#include <iostream>
#include "Vector.h"

//   (1-t):t t Է
Vector division(Vector,Vector,double);

void main()
{
	Vector *b0=new Vector[4];
	Vector *b1=new Vector[3];
	Vector *b2=new Vector[2];
	Vector b3;

	b0[0].x=0;
	b0[0].y=0;
	b0[0].z=0;

	b0[1].x=2;
	b0[1].y=4;
	b0[1].z=0;

	b0[2].x=5;
	b0[2].y=-3;
	b0[2].z=0;

	b0[3].x=6;
	b0[3].y=1;
	b0[3].z=0;

	double t=0.4;
	Vector K=t*b0[1]+(1-t)*b0[2];
	for (int i=0;i<3;i++)
	{
		b1[i]=division(b0[i],b0[i+1],t);
	}
	for (i=0;i<2;i++)
	{
		b2[i]=division(b1[i],b1[i+1],t);
	}
	
	b3=division(b2[0],b2[1],t);

	printf("%0.4f\t%0.4f\t%0.4f\n",b3.x,b3.y,b3.z);
}

Vector division(Vector A,Vector B,double t)
{
	Vector tmp;
	tmp=(1-t)*A+t*B;
	return tmp;
}
